Package org.mariadb.jdbc.type

## Class MultiPolygon

- java.lang.Object
- - org.mariadb.jdbc.type.MultiPolygon

All Implemented Interfaces:
  `Geometry`

    public class MultiPolygon
    extends Object
    implements Geometry

Multi polygon

### Constructor Summary

Constructors
`MultiPolygon​(Polygon[] polygons)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)`
`Polygon[]` `getPolygons()` Get polygons
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MultiPolygon

    public MultiPolygon​(Polygon[] polygons)

Constructor

Parameters:
  `polygons` - polygons

### Method Detail

#### getPolygons

    public Polygon[] getPolygons()

Get polygons

Returns:
  polygons

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`